## libmediainfo 19.09+dfsg

=== Project/CMake/CMakeLists.txt ===
project(MediaInfoLib)

cmake_minimum_required(VERSION 2.8.11)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")

set(MediaInfoLib_MAJOR_VERSION 19)
set(MediaInfoLib_MINOR_VERSION 09)
set(MediaInfoLib_PATCH_VERSION 0)
set(MediaInfoLib_VERSION ${MediaInfoLib_MAJOR_VERSION}.${MediaInfoLib_MINOR_VERSION})

if (MediaInfoLib_PATCH_VERSION)
  set(MediaInfoLib_VERSION ${MediaInfoLib_VERSION}.${MediaInfoLib_PATCH_VERSION})
endif()

set(MediaInfoLib_SOVERSION 0)

if (NOT WIN32)
  option(BUILD_ZLIB "Build bundled zlib" OFF)
  option(BUILD_ZENLIB "Build bundled ZenLib" OFF)
else()
  option(BUILD_ZLIB "Build bundled zlib" ON)
  option(BUILD_ZENLIB "Build bundled ZenLib" ON)
endif()

set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin" CACHE STRING "Directory where binary will install")
set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING "Directory where library will install")
set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include" CACHE PATH "The directory the headers are installed in")

configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

if(NOT TARGET uninstall)
    add_custom_target(uninstall
   "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
endif()

if (NOT BUILD_ZENLIB)
  find_package(ZenLib REQUIRED)
else()
  set(_BUILD_SHARED_LIBS ${BUILD_SHARED_LIBS})
  set(BUILD_SHARED_LIBS OFF)
  add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/../../../ZenLib/Project/CMake ${CMAKE_CURRENT_BINARY_DIR}/ZenLib)
  set(BUILD_SHARED_LIBS ${_BUILD_SHARED_LIBS})
  set(ZenLib_LIBRARY zen)
  unset(_BUILD_SHARED_LIBS)
  if(UNIX AND BUILD_SHARED_LIBS)
    target_compile_options(zen PRIVATE -fPIC)
  endif()
endif()

if (NOT BUILD_ZLIB)
  find_package(ZLIB REQUIRED)
else()
  add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/../../../zlib ${CMAKE_CURRENT_BINARY_DIR}/zlib)
  get_target_property(ZLIB_LIBRARIES zlibstatic LOCATION)
  if(NOT BUILD_SHARED_LIBS)
    get_filename_component(ZLIB_LIBRARIES ${ZLIB_LIBRARIES} NAME)
    set(ZLIB_LIBRARIES "${LIB_INSTALL_DIR}/${ZLIB_LIBRARIES}")
  endif()
  if(UNIX AND BUILD_SHARED_LIBS)
    target_compile_options(zlibstatic PRIVATE -fPIC)
  endif()
  set(ZLIB_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/../../../zlib ${CMAKE_CURRENT_BINARY_DIR}/zlib)
endif()

if(VCPKG_TARGET_TRIPLET)
  set(MediaInfoLib_CONFIG_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/mediainfolib")
elseif(MSVC)
  set(MediaInfoLib_CONFIG_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/cmake")
else()
  set(MediaInfoLib_CONFIG_INSTALL_DIR "${LIB_INSTALL_DIR}/cmake/mediainfolib")
endif()

set(MediaInfoLib_SOURCES_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../Source)

# On Windows debug library should have 'd' postfix.
if(WIN32)
  set(CMAKE_DEBUG_POSTFIX "d")
elseif(APPLE)
  set(CMAKE_DEBUG_POSTFIX "_debug")
endif()

# use bundled tinyxml only if no system
find_package(TinyXML)

# use system curl if is present
find_package(CURL)

include_directories(${MediaInfoLib_SOURCES_PATH})
include_directories(${MediaInfoLib_SOURCES_PATH}/ThirdParty/md5/)
include_directories(${MediaInfoLib_SOURCES_PATH}/ThirdParty/base64/)
include_directories(${MediaInfoLib_SOURCES_PATH}/ThirdParty/aes-gladman/)
include_directories(${MediaInfoLib_SOURCES_PATH}/ThirdParty/sha1-gladman/)
include_directories(${MediaInfoLib_SOURCES_PATH}/ThirdParty/sha2-gladman/)
include_directories(${MediaInfoLib_SOURCES_PATH}/ThirdParty/hmac-gladman/)
include_directories(${ZLIB_INCLUDE_DIRS})

set(MediaInfoLib_PUBLIC_HDRS
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfo.h
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfoList.h
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfo_Const.h
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfo_Events.h
  ${MediaInfoLib_SOURCES_PATH}/MediaInfoDLL/MediaInfoDLL.h
  ${MediaInfoLib_SOURCES_PATH}/MediaInfoDLL/MediaInfoDLL_Static.h
)

set(MediaInfoLib_SRCS
  ${MediaInfoLib_SOURCES_PATH}/ThirdParty/md5/md5.c
  ${MediaInfoLib_SOURCES_PATH}/ThirdParty/aes-gladman/aes_modes.c
  ${MediaInfoLib_SOURCES_PATH}/ThirdParty/aes-gladman/aescrypt.c
  ${MediaInfoLib_SOURCES_PATH}/ThirdParty/aes-gladman/aeskey.c
  ${MediaInfoLib_SOURCES_PATH}/ThirdParty/aes-gladman/aestab.c
  ${MediaInfoLib_SOURCES_PATH}/ThirdParty/sha1-gladman/sha1.c
  ${MediaInfoLib_SOURCES_PATH}/ThirdParty/sha2-gladman/sha2.c
  ${MediaInfoLib_SOURCES_PATH}/ThirdParty/hmac-gladman/hmac.c
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Analyze.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Analyze_Buffer.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Analyze_Buffer_MinimizeSize.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Analyze_Element.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Analyze_Streams.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Analyze_Streams_Finish.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Base.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__MultipleParsing.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Duplicate.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__HasReferences.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File_Dummy.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File_Other.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File_Unknown.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/HashWrapper.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfo.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfo_Config.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfo_Config_Automatic.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfo_Config_MediaInfo.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfo_Config_PerPackage.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfo_File.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfo_Inform.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfo_Internal.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfoList.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/MediaInfoList_Internal.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/TimeCode.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Archive/File_7z.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Archive/File_Ace.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Archive/File_Bzip2.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Archive/File_Elf.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Archive/File_Gzip.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Archive/File_Iso9660.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Archive/File_Mz.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Archive/File_Rar.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Archive/File_Tar.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Archive/File_Zip.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Aac.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Aac_GeneralAudio.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Aac_GeneralAudio_Sbr.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Aac_GeneralAudio_Sbr_Ps.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Aac_Main.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Aac_Others.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Ac3.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Ac4.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Adpcm.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Als.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Amr.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Amv.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Ape.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Au.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Caf.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Celt.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_ChannelGrouping.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Dsdiff.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Dsf.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Dts.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_DolbyE.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_ExtendedModule.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Flac.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_ImpulseTracker.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_La.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Midi.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Module.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Mpc.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_MpcSv8.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Mpega.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_OpenMG.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Opus.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Pcm.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Pcm_M2ts.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Pcm_Vob.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Ps2Audio.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Rkau.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_ScreamTracker3.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_SmpteSt0302.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_SmpteSt0337.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_SmpteSt0331.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Speex.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Tak.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Tta.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_TwinVQ.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Usac.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Vorbis.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Wvpk.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Duplicate/File__Duplicate__Base.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Duplicate/File__Duplicate__Writer.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Duplicate/File__Duplicate_MpegTs.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Export/Export_EbuCore.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Export/Export_Niso.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Export/Export_Fims.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Export/Export_Mpeg7.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Export/Export_PBCore.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Export/Export_PBCore2.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Export/Export_reVTMD.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_ArriRaw.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Bmp.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Bpg.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Dds.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Dpx.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Exr.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Gif.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Ico.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Jpeg.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Pcx.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Png.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Psd.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Rle.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Tiff.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Tga.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File__ReferenceFilesHelper.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File__ReferenceFilesHelper_Resource.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File__ReferenceFilesHelper_Sequence.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Aaf.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Ancillary.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Bdmv.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Cdxa.cpp
  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_DashMpd.cpp

=== debian/changelog ===
libmediainfo (19.09+dfsg-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:06:13 +0100

libmediainfo (19.09+dfsg-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Chow Loong Jin ]
  * [1dddbc9] Drop python-mediainfodll (Closes: #936892)

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 11 Dec 2019 10:20:09 +0800

libmediainfo (19.09+dfsg-1) unstable; urgency=medium

  * [ba6c8d8] New upstream version 19.09+dfsg
  * [e0ceadf] Bump Standards-Version to 4.4.1

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 21 Oct 2019 17:33:44 +0800

libmediainfo (19.07+dfsg-1) unstable; urgency=medium

  * [edaa4bb] New upstream version 19.07+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 03 Sep 2019 11:48:24 +0800

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/default.mk

# shared library versions
version = $(DEB_VERSION_UPSTREAM)

override_dh_auto_configure:
	dh_auto_configure -DProject/GNU/Library --	\
		--enable-shared				\
		--enable-visibility			\
		--with-libcurl				\
		--with-libmms				\
		--with-libtinyxml2			\
		--without-libmd5

override_dh_auto_build:
	cd Source/Doc && doxygen Doxyfile
	cp Source/Doc/*.html ./
	dh_auto_build -DProject/GNU/Library

override_dh_auto_install:
	dh_auto_install -DProject/GNU/Library
	for py in $(shell pyversions -vr); do												\
		install -D -m644 Source/MediaInfoDLL/MediaInfoDLL.py debian/tmp/usr/lib/python$$py/dist-packages/MediaInfoDLL.py;	\
	done
	for py3 in $(shell py3versions -vr); do												\
		install -D -m644 Source/MediaInfoDLL/MediaInfoDLL3.py debian/tmp/usr/lib/python$$py3/dist-packages/MediaInfoDLL3.py;	\
	done
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
	sed -e 's|Version: |Version: $(version)|g' Project/GNU/Library/libmediainfo.pc > debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/libmediainfo.pc

override_dh_auto_clean:
	dh_auto_clean -DProject/GNU/Library

	rm -rf Doc/
	(cd Source/Doc && find -maxdepth 1 -name '*.html' -print0) | xargs -0 rm -f

override_dh_installchangelogs:
	dh_installchangelogs Changes.txt
	fromdos debian/*/usr/share/doc/*/changelog

override_dh_installexamples:
	dh_installexamples
	if dh_listpackages | grep -q libmediainfo-doc; then					\
		chmod 0644 debian/libmediainfo-doc/usr/share/doc/libmediainfo-doc/examples/*;	\
	fi

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

%:
	dh $@ --with=autoreconf,python3 --parallel

=== debian/watch ===
version=3

opts="dversionmangle=s/\+dfsg\d*//,repacksuffix=+dfsg" https://mediaarea.net/download/source/libmediainfo/([0-9.]+)/libmediainfo_([0-9.]+).tar.gz

## libmediainfo 20.03

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")
 
-set(MediaInfoLib_MAJOR_VERSION 19)
-set(MediaInfoLib_MINOR_VERSION 09)
+set(MediaInfoLib_MAJOR_VERSION 20)
+set(MediaInfoLib_MINOR_VERSION 03)
 set(MediaInfoLib_PATCH_VERSION 0)
 set(MediaInfoLib_VERSION ${MediaInfoLib_MAJOR_VERSION}.${MediaInfoLib_MINOR_VERSION})
 
@@ -182,6 +182,7 @@
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Mpc.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_MpcSv8.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Mpega.cpp
+  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Mpegh3da.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_OpenMG.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Opus.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Pcm.cpp
@@ -232,4 +233,3 @@
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Ancillary.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Bdmv.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Cdxa.cpp
-  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_DashMpd.cpp

=== debian/changelog ===
libmediainfo (20.03-1) experimental; urgency=medium

  * Upstream version 20.03
    For details, see https://github.com/MediaArea/MediaInfoLib/blob/master/History_DLL.txt

 -- MediaArea <info@mediaarea.net>  Mon, 02 Nov 2015 10:30:00 +0100

## libmediainfo 20.08+dfsg

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
+cmake_minimum_required(VERSION 2.8.11)
+
 project(MediaInfoLib)
 
-cmake_minimum_required(VERSION 2.8.11)
-
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")
 
 set(MediaInfoLib_MAJOR_VERSION 20)
-set(MediaInfoLib_MINOR_VERSION 03)
+set(MediaInfoLib_MINOR_VERSION 08)
 set(MediaInfoLib_PATCH_VERSION 0)
 set(MediaInfoLib_VERSION ${MediaInfoLib_MAJOR_VERSION}.${MediaInfoLib_MINOR_VERSION})

=== debian/changelog ===
libmediainfo (20.08+dfsg-1) unstable; urgency=medium

  * [f1d8842] New upstream version 20.08+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 16 Aug 2020 19:18:50 +0800

libmediainfo (20.03+dfsg-1) unstable; urgency=medium

  * [82ab065] New upstream version 20.03+dfsg
  * [2c781bf] Drop pkg-config patch (no longer needed)
  * [4947c8e] Bump debhelper compat level to 12
  * [fb0aed4] Drop dh_installexamples override.
    Upstream has gotten their permissions in order for the example files, so we
    no longer need the chmod.
  * [d10b40a] Drop dh-autoreconf build-dep and --with argument.
    It's now enabled by default, we don't need to opt-in for it any more.
  * [2f2623f] Install /usr/include into libmediainfo-dev.
    We no longer need to ship the header files manually -- mediainfo's
    installation does it right now.

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 11 Apr 2020 01:58:40 +0800

## libmediainfo 20.09+dfsg

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -2,10 +2,10 @@
 
 project(MediaInfoLib)
 
-set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")
+list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake/modules")
 
 set(MediaInfoLib_MAJOR_VERSION 20)
-set(MediaInfoLib_MINOR_VERSION 08)
+set(MediaInfoLib_MINOR_VERSION 09)
 set(MediaInfoLib_PATCH_VERSION 0)
 set(MediaInfoLib_VERSION ${MediaInfoLib_MAJOR_VERSION}.${MediaInfoLib_MINOR_VERSION})
 
@@ -169,6 +169,7 @@
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Caf.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Celt.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_ChannelGrouping.cpp
+  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_ChannelSplitting.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Dsdiff.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Dsf.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Dts.cpp
@@ -232,4 +233,3 @@
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Aaf.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Ancillary.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Bdmv.cpp
-  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Cdxa.cpp

=== debian/changelog ===
libmediainfo (20.09+dfsg-2) unstable; urgency=medium

  * [86dabe6] Import https://github.com/MediaArea/MediaInfoLib/pull/1313.patch.
    Fixes CVE-2020-26797 (Closes: #985554)
  * [9d2ee88] Regenerate the diff so that dpkg-source stops complaining

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 20 Mar 2021 13:41:56 +0800

libmediainfo (20.09+dfsg-1) unstable; urgency=medium

  * [cb7d053] New upstream version 20.09+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 13 Oct 2020 15:03:12 +0800

=== debian/control ===
Source: libmediainfo
Priority: optional
Maintainer: Chow Loong Jin <hyperair@debian.org>
Build-Depends: debhelper-compat (= 12),
               dpkg-dev (>= 1.16.1),
               python3-all,
               dh-python,
               doxygen,
               tofrodos,
               libzen-dev (>= 0.4.25),
               libtinyxml2-dev,
               libcurl4-gnutls-dev,
               libmms-dev,
               libglib2.0-dev,
               zlib1g-dev,
               pkg-config
Standards-Version: 4.4.1
Section: libs
Homepage: http://MediaArea.net/MediaInfo
Vcs-Browser: https://salsa.debian.org/multimedia-team/libmediainfo
Vcs-Git: https://salsa.debian.org/multimedia-team/libmediainfo.git

Package: libmediainfo-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libzen-dev,
         libcurl4-gnutls-dev,
         zlib1g-dev,
         libmediainfo0v5 (= ${binary:Version}),
         ${misc:Depends}
Description: library reading metadata from media files -- headers
 MediaInfo is a library used for retrieving technical information and other
 metadata about audio or video files.
 .
 A non-exhaustive list of the information MediaInfo can retrieve from media
 files include:
  - General: title, author, director, album, track number, date, duration...
  - Video: codec, aspect, fps, bitrate...
  - Audio: codec, sample rate, channels, language, bitrate...
  - Text: language of subtitle
  - Chapters: number of chapters, list of chapters
 .
 MediaInfo supports the following formats:
  - Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
           MPEG-4, DVD (VOB)...
  - Video Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
  - Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF...
  - Subtitles: SRT, SSA, ASS, SAMI...
 .
 This package contains the headers and other development support files needed
 for compiling and linking applications and libraries which use this library.

Package: libmediainfo0v5
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libmediainfo0
Conflicts: libmediainfo0
Description: library for reading metadata from media files -- shared library
 MediaInfo is a library used for retrieving technical information and other
 metadata about audio or video files.
 .
 A non-exhaustive list of the information MediaInfo can retrieve from media
 files include:
  - General: title, author, director, album, track number, date, duration...
  - Video: codec, aspect, fps, bitrate...
  - Audio: codec, sample rate, channels, language, bitrate...
  - Text: language of subtitle
  - Chapters: number of chapters, list of chapters
 .
 MediaInfo supports the following formats:
  - Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
           MPEG-4, DVD (VOB)...
  - Video Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
  - Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF...
  - Subtitles: SRT, SSA, ASS, SAMI...
 .
 This package contains the shared library needed for running applications which
 use this library.

Package: python3-mediainfodll
Section: python
Architecture: all
Depends: ${python3:Depends}, libmediainfo0v5 (>= ${source:Version}),
         ${misc:Depends}
Description: library for reading metadata from media files -- shared library
 MediaInfo is a library used for retrieving technical information and other
 metadata about audio or video files.
 .
 A non-exhaustive list of the information MediaInfo can retrieve from media
 files include:
  - General: title, author, director, album, track number, date, duration...
  - Video: codec, aspect, fps, bitrate...
  - Audio: codec, sample rate, channels, language, bitrate...
  - Text: language of subtitle
  - Chapters: number of chapters, list of chapters
 .
 MediaInfo supports the following formats:
  - Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
           MPEG-4, DVD (VOB)...
  - Video Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
  - Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF...
  - Subtitles: SRT, SSA, ASS, SAMI...
 .
 This package contains the Python 3.x module required for using this library
 from Python 3.x applications.

Package: libmediainfo-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: library for reading metadata from media files -- documentation
 MediaInfo is a library used for retrieving technical information and other
 metadata about audio or video files.
 .
 A non-exhaustive list of the information MediaInfo can retrieve from media
 files include:
  - General: title, author, director, album, track number, date, duration...
  - Video: codec, aspect, fps, bitrate...
  - Audio: codec, sample rate, channels, language, bitrate...
  - Text: language of subtitle
  - Chapters: number of chapters, list of chapters
 .
 MediaInfo supports the following formats:
  - Video: MKV, OGM, AVI, DivX, WMV, QuickTime, Real, MPEG-1, MPEG-2,
           MPEG-4, DVD (VOB)...
  - Video Codecs: DivX, XviD, MSMPEG4, ASP, H.264, AVC...)
  - Audio: OGG, MP3, WAV, RA, AC3, DTS, AAC, M4A, AU, AIFF...
  - Subtitles: SRT, SSA, ASS, SAMI...
 .
 This package contains the Doxygen generated API reference for developing
 applications/libraries using this library.

## libmediainfo 21.03+dfsg

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake/modules")
 
-set(MediaInfoLib_MAJOR_VERSION 20)
-set(MediaInfoLib_MINOR_VERSION 09)
+set(MediaInfoLib_MAJOR_VERSION 21)
+set(MediaInfoLib_MINOR_VERSION 03)
 set(MediaInfoLib_PATCH_VERSION 0)
 set(MediaInfoLib_VERSION ${MediaInfoLib_MAJOR_VERSION}.${MediaInfoLib_MINOR_VERSION})

=== debian/changelog ===
libmediainfo (21.03+dfsg-1) unstable; urgency=medium

  * [4dd6db5] New upstream version 21.03+dfsg
  * [764523c] Drop upstreamed patches

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 27 Mar 2021 16:51:47 +0800

## libmediainfo 21.09+dfsg

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake/modules")
 
 set(MediaInfoLib_MAJOR_VERSION 21)
-set(MediaInfoLib_MINOR_VERSION 03)
+set(MediaInfoLib_MINOR_VERSION 09)
 set(MediaInfoLib_PATCH_VERSION 0)
 set(MediaInfoLib_VERSION ${MediaInfoLib_MAJOR_VERSION}.${MediaInfoLib_MINOR_VERSION})
 
@@ -117,6 +117,7 @@
   ${MediaInfoLib_SOURCES_PATH}/ThirdParty/sha1-gladman/sha1.c
   ${MediaInfoLib_SOURCES_PATH}/ThirdParty/sha2-gladman/sha2.c
   ${MediaInfoLib_SOURCES_PATH}/ThirdParty/hmac-gladman/hmac.c
+  ${MediaInfoLib_SOURCES_PATH}/ThirdParty/tfsxml/tfsxml.c
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Analyze.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Analyze_Buffer.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/File__Analyze_Buffer_MinimizeSize.cpp
@@ -160,6 +161,7 @@
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Aac_Others.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Ac3.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Ac4.cpp
+  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Adm.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Adpcm.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Als.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Amr.cpp
@@ -173,9 +175,11 @@
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Dsdiff.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Dsf.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Dts.cpp
+  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_DolbyAudioMetadata.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_DolbyE.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_ExtendedModule.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Flac.cpp
+  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Iab.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_ImpulseTracker.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_La.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Midi.cpp
@@ -207,6 +211,7 @@
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Duplicate/File__Duplicate_MpegTs.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Export/Export_EbuCore.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Export/Export_Niso.cpp
+  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Export/Export_Graph.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Export/Export_Fims.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Export/Export_Mpeg7.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Export/Export_PBCore.cpp
@@ -229,7 +234,3 @@
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Tga.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File__ReferenceFilesHelper.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File__ReferenceFilesHelper_Resource.cpp
-  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File__ReferenceFilesHelper_Sequence.cpp
-  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Aaf.cpp
-  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Ancillary.cpp
-  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File_Bdmv.cpp

=== debian/changelog ===
libmediainfo (21.09+dfsg-4) unstable; urgency=medium

  * [9e882b3] Fix visibility being disabled on ppc64 (Closes: #825038)

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 07 Nov 2021 12:37:40 +0800

libmediainfo (21.09+dfsg-3) unstable; urgency=medium

  * [929713c] Fix emplace_back symbol signature on some arches.
    We need to accept "unsigned int" as well as "unsigned long long"

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 01 Nov 2021 17:52:22 +0800

libmediainfo (21.09+dfsg-2) unstable; urgency=medium

  * [c7c8700] Backport patch to fix missing tfsxml symbols (Closes: #995863)
  * [7d7c888] Add new stdlib symbol from gcc-11.
    Close: #984184

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 01 Nov 2021 15:12:20 +0800

libmediainfo (21.09+dfsg-1) unstable; urgency=medium

  * [3b472c5] New upstream version 21.09+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 29 Sep 2021 17:49:12 +0800

## libmediainfo 22.06+dfsg

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
-cmake_minimum_required(VERSION 2.8.11)
+cmake_minimum_required(VERSION 3.1.0)
 
 project(MediaInfoLib)
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake/modules")
 
-set(MediaInfoLib_MAJOR_VERSION 21)
-set(MediaInfoLib_MINOR_VERSION 09)
+set(MediaInfoLib_MAJOR_VERSION 22)
+set(MediaInfoLib_MINOR_VERSION 06)
 set(MediaInfoLib_PATCH_VERSION 0)
 set(MediaInfoLib_VERSION ${MediaInfoLib_MAJOR_VERSION}.${MediaInfoLib_MINOR_VERSION})
 
@@ -56,10 +56,8 @@
   find_package(ZLIB REQUIRED)
 else()
   add_subdirectory(${CMAKE_CURRENT_SOURCE_DIR}/../../../zlib ${CMAKE_CURRENT_BINARY_DIR}/zlib)
-  get_target_property(ZLIB_LIBRARIES zlibstatic LOCATION)
   if(NOT BUILD_SHARED_LIBS)
-    get_filename_component(ZLIB_LIBRARIES ${ZLIB_LIBRARIES} NAME)
-    set(ZLIB_LIBRARIES "${LIB_INSTALL_DIR}/${ZLIB_LIBRARIES}")
+    set(ZLIB_LIBRARIES "${LIB_INSTALL_DIR}/$<TARGET_LINKER_FILE_NAME:zlibstatic>")
   endif()
   if(UNIX AND BUILD_SHARED_LIBS)
     target_compile_options(zlibstatic PRIVATE -fPIC)
@@ -234,3 +232,4 @@
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Tga.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File__ReferenceFilesHelper.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File__ReferenceFilesHelper_Resource.cpp
+  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File__ReferenceFilesHelper_Sequence.cpp

=== debian/changelog ===
libmediainfo (22.06+dfsg-1) unstable; urgency=medium

  * [053fe2f] New upstream version 22.06+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 26 Jun 2022 00:06:52 +0800

libmediainfo (22.03+dfsg-1) unstable; urgency=medium

  * [8016369] New upstream version 22.03+dfsg
  * [8751ba9] Drop upstreamed patch and refresh remaining

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 03 Apr 2022 20:15:58 +0800

## libmediainfo 22.12+dfsg

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake/modules")
 
 set(MediaInfoLib_MAJOR_VERSION 22)
-set(MediaInfoLib_MINOR_VERSION 06)
+set(MediaInfoLib_MINOR_VERSION 12)
 set(MediaInfoLib_PATCH_VERSION 0)
 set(MediaInfoLib_VERSION ${MediaInfoLib_MAJOR_VERSION}.${MediaInfoLib_MINOR_VERSION})

=== debian/changelog ===
libmediainfo (22.12+dfsg-1) unstable; urgency=medium

  * [2089cf4] New upstream version 22.12+dfsg
  * [6cc449e] Refresh patches
  * [4ada6dd] Bump libzen-dev build-dep

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 27 Dec 2022 13:06:58 +0800

libmediainfo (22.09+dfsg-1) unstable; urgency=medium

  * [57800e7] New upstream version 22.09+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 08 Oct 2022 17:49:57 +0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-python,
                doxygen,
                tofrodos,
-               libzen-dev (>= 0.4.25),
+               libzen-dev (>= 0.4.40),
                libtinyxml2-dev,
                libcurl4-gnutls-dev,
                libmms-dev,

## libmediainfo 23.03

=== debian/changelog ===
libmediainfo (23.03-1) experimental; urgency=medium

  * Upstream version 23.03
    For details, see https://github.com/MediaArea/MediaInfoLib/blob/master/History_DLL.txt

 -- MediaArea <info@mediaarea.net>  Mon, 02 Nov 2015 10:30:00 +0100

## libmediainfo 23.04+dfsg

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake/modules")
 
-set(MediaInfoLib_MAJOR_VERSION 22)
-set(MediaInfoLib_MINOR_VERSION 12)
+set(MediaInfoLib_MAJOR_VERSION 23)
+set(MediaInfoLib_MINOR_VERSION 04)
 set(MediaInfoLib_PATCH_VERSION 0)
 set(MediaInfoLib_VERSION ${MediaInfoLib_MAJOR_VERSION}.${MediaInfoLib_MINOR_VERSION})
 
@@ -165,6 +165,7 @@
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Amr.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Amv.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Ape.cpp
+  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Aptx100.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Au.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Caf.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Celt.cpp
@@ -232,4 +233,3 @@
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Tga.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File__ReferenceFilesHelper.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File__ReferenceFilesHelper_Resource.cpp
-  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File__ReferenceFilesHelper_Sequence.cpp

=== debian/changelog ===
libmediainfo (23.04+dfsg-1) unstable; urgency=medium

  * [1d4561c] New upstream version 23.04+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 27 Apr 2023 11:37:16 +0800

libmediainfo (23.03+dfsg-1) unstable; urgency=medium

  * [f9f5892] Set multi-arch:foreign for arch:all packages
  * [78ba820] New upstream version 23.03+dfsg
  * [3c3e613] Bump libzen-dev build-dep to 0.4.41
  * [a039feb] Bump libzen-dev dep in libmediainfo-dev to 0.4.41
  * [8c45c0f] Add autopkgtest

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 17 Apr 2023 12:11:14 +0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-python,
                doxygen,
                tofrodos,
-               libzen-dev (>= 0.4.40),
+               libzen-dev (>= 0.4.41),
                libtinyxml2-dev,
                libcurl4-gnutls-dev,
                libmms-dev,
@@ -24,7 +24,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libzen-dev,
+Depends: libzen-dev (>= 0.4.41),
          libcurl4-gnutls-dev,
          zlib1g-dev,
          libmediainfo0v5 (= ${binary:Version}),
@@ -83,6 +83,7 @@
 Package: python3-mediainfodll
 Section: python
 Architecture: all
+Multi-Arch: foreign
 Depends: ${python3:Depends}, libmediainfo0v5 (>= ${source:Version}),
          ${misc:Depends}
 Description: library for reading metadata from media files -- shared library
@@ -110,6 +111,7 @@
 Package: libmediainfo-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: library for reading metadata from media files -- documentation
  MediaInfo is a library used for retrieving technical information and other

## libmediainfo 23.07+dfsg

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake/modules")
 
 set(MediaInfoLib_MAJOR_VERSION 23)
-set(MediaInfoLib_MINOR_VERSION 04)
+set(MediaInfoLib_MINOR_VERSION 07)
 set(MediaInfoLib_PATCH_VERSION 0)
 set(MediaInfoLib_VERSION ${MediaInfoLib_MAJOR_VERSION}.${MediaInfoLib_MINOR_VERSION})
 
@@ -181,6 +181,7 @@
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Iab.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_ImpulseTracker.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_La.cpp
+  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Mga.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Midi.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Module.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Mpc.cpp
@@ -232,4 +233,3 @@
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Tiff.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Tga.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File__ReferenceFilesHelper.cpp
-  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File__ReferenceFilesHelper_Resource.cpp

=== debian/changelog ===
libmediainfo (23.07+dfsg-1) unstable; urgency=medium

  * [98c07bb] New upstream version 23.07+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 13 Jul 2023 10:30:22 +0800

libmediainfo (23.06+dfsg-1) unstable; urgency=medium

  * [015b254] New upstream version 23.06+dfsg
  * [bf0a88a] Refresh patches

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 04 Jul 2023 11:28:09 +0800

## libmediainfo 23.09+dfsg

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake/modules")
 
 set(MediaInfoLib_MAJOR_VERSION 23)
-set(MediaInfoLib_MINOR_VERSION 07)
+set(MediaInfoLib_MINOR_VERSION 09)
 set(MediaInfoLib_PATCH_VERSION 0)
 set(MediaInfoLib_VERSION ${MediaInfoLib_MAJOR_VERSION}.${MediaInfoLib_MINOR_VERSION})
 
@@ -174,6 +174,7 @@
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Dsdiff.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Dsf.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Dts.cpp
+  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_DtsUhd.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_DolbyAudioMetadata.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_DolbyE.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_ExtendedModule.cpp

## libmediainfo 23.10

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake/modules")
 
 set(MediaInfoLib_MAJOR_VERSION 23)
-set(MediaInfoLib_MINOR_VERSION 09)
+set(MediaInfoLib_MINOR_VERSION 10)
 set(MediaInfoLib_PATCH_VERSION 0)
 set(MediaInfoLib_VERSION ${MediaInfoLib_MAJOR_VERSION}.${MediaInfoLib_MINOR_VERSION})

=== debian/changelog ===
libmediainfo (23.10-1) experimental; urgency=medium

  * Upstream version 23.10
    For details, see https://github.com/MediaArea/MediaInfoLib/blob/master/History_DLL.txt

 -- MediaArea <info@mediaarea.net>  Mon, 02 Nov 2015 10:30:00 +0100

## libmediainfo 23.10%2Bdfsg

=== debian/changelog ===
libmediainfo (23.10+dfsg-1deepin0) unstable; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 20 Sep 2024 14:12:50 +0800

libmediainfo (23.10+dfsg-1) unstable; urgency=medium

  * [c66c7dc] New upstream version 23.10+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 06 Oct 2023 14:26:50 +0800

libmediainfo (23.09+dfsg-1) unstable; urgency=medium

  * [0ccc6b7] New upstream version 23.09+dfsg
  * [9248962] Refresh patches

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 26 Sep 2023 11:27:12 +0800

## libmediainfo 24.01%2Bdfsg

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake/modules")
 
-set(MediaInfoLib_MAJOR_VERSION 23)
-set(MediaInfoLib_MINOR_VERSION 10)
+set(MediaInfoLib_MAJOR_VERSION 24)
+set(MediaInfoLib_MINOR_VERSION 01)
 set(MediaInfoLib_PATCH_VERSION 0)
 set(MediaInfoLib_VERSION ${MediaInfoLib_MAJOR_VERSION}.${MediaInfoLib_MINOR_VERSION})

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: libmediainfo
 Priority: optional
-Maintainer: Chow Loong Jin <hyperair@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Chow Loong Jin <hyperair@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dpkg-dev (>= 1.16.1),
                python3-all,
@@ -13,7 +14,7 @@
                libmms-dev,
                libglib2.0-dev,
                zlib1g-dev,
-               pkg-config
+               pkgconf
 Standards-Version: 4.4.1
 Section: libs
 Homepage: http://MediaArea.net/MediaInfo

## libmediainfo 24.01+dfsg

=== debian/changelog ===
libmediainfo (24.01+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:09:09 +0000

libmediainfo (24.01+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:04:17 +0000

libmediainfo (24.01+dfsg-1) unstable; urgency=mediumg

  [ Debian Janitor ]
  * [6fe6bc2] Apply multi-arch hints. + libmediainfo-doc: Add Multi-Arch:
    foreign.
    Changes-By: apply-multiarch-hints

  [ Chow Loong Jin ]
  * [a22f4a6] Drop duplicate Multi-Arch: foreign line
  * [f8e7e4d] New upstream version 24.01+dfsg
  * [358f747] Refresh patches
  * [605d1bc] Update pkg-config build-dep to pkgconf

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 15 Feb 2024 17:06:25 +0800

libmediainfo (23.11+dfsg-1) unstable; urgency=medium

  * [6aead49] New upstream version 23.11+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 05 Dec 2023 21:22:40 +0800

=== debian/tests/control ===
Tests: mil-test
Depends: libmediainfo-dev,
         pkg-config,
         g++ | c++-compiler,
         autoconf,
         automake,
         wget,
         ca-certificates,
         libxml2-utils,
         python3-demjson
Restrictions: allow-stderr needs-internet

Tests: check-mediainfo
Depends: mediainfo, @
Restrictions: allow-stderr

## libmediainfo 24.05+dfsg

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake/modules")
 
 set(MediaInfoLib_MAJOR_VERSION 24)
-set(MediaInfoLib_MINOR_VERSION 01)
+set(MediaInfoLib_MINOR_VERSION 05)
 set(MediaInfoLib_PATCH_VERSION 0)
 set(MediaInfoLib_VERSION ${MediaInfoLib_MAJOR_VERSION}.${MediaInfoLib_MINOR_VERSION})

=== debian/changelog ===
libmediainfo (24.05+dfsg-1) unstable; urgency=medium

  * [6925473] New upstream version 24.05+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 08 Jun 2024 22:47:52 +0800

libmediainfo (24.04+dfsg-1) unstable; urgency=medium

  * [cb931da] New upstream version 24.04+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 23 Apr 2024 12:35:02 +0800

libmediainfo (24.03+dfsg-1) unstable; urgency=medium

  * [7c95801] Update watch file
  * [1612219] New upstream version 24.03+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 09 Apr 2024 10:26:48 +0800

## libmediainfo 24.06+dfsg

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake/modules")
 
 set(MediaInfoLib_MAJOR_VERSION 24)
-set(MediaInfoLib_MINOR_VERSION 05)
+set(MediaInfoLib_MINOR_VERSION 06)
 set(MediaInfoLib_PATCH_VERSION 0)
 set(MediaInfoLib_VERSION ${MediaInfoLib_MAJOR_VERSION}.${MediaInfoLib_MINOR_VERSION})
 
@@ -171,6 +171,7 @@
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Celt.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_ChannelGrouping.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_ChannelSplitting.cpp
+  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Dat.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Dsdiff.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Dsf.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Audio/File_Dts.cpp
@@ -233,4 +234,3 @@
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Rle.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Tiff.cpp
   ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Image/File_Tga.cpp
-  ${MediaInfoLib_SOURCES_PATH}/MediaInfo/Multiple/File__ReferenceFilesHelper.cpp

=== debian/changelog ===
libmediainfo (24.06+dfsg-1) unstable; urgency=medium

  * [db4e6e1] New upstream version 24.06+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 05 Jul 2024 11:20:27 +0800

## libmediainfo 24.11

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake/modules")
 
 set(MediaInfoLib_MAJOR_VERSION 24)
-set(MediaInfoLib_MINOR_VERSION 06)
+set(MediaInfoLib_MINOR_VERSION 11)
 set(MediaInfoLib_PATCH_VERSION 0)
 set(MediaInfoLib_VERSION ${MediaInfoLib_MAJOR_VERSION}.${MediaInfoLib_MINOR_VERSION})

=== debian/changelog ===
libmediainfo (24.11-1) experimental; urgency=medium

  * Upstream version 24.11
    For details, see https://github.com/MediaArea/MediaInfoLib/blob/master/History_DLL.txt

 -- MediaArea <info@mediaarea.net>  Mon, 02 Nov 2015 10:30:00 +0100

## libmediainfo 24.11+dfsg

=== debian/changelog ===
libmediainfo (24.11+dfsg-1) unstable; urgency=medium

  * [6956563] New upstream version 24.11+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 11 Nov 2024 17:09:32 +0800

## libmediainfo 24.12+dfsg

=== Project/CMake/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake/modules")
 
 set(MediaInfoLib_MAJOR_VERSION 24)
-set(MediaInfoLib_MINOR_VERSION 11)
+set(MediaInfoLib_MINOR_VERSION 12)
 set(MediaInfoLib_PATCH_VERSION 0)
 set(MediaInfoLib_VERSION ${MediaInfoLib_MAJOR_VERSION}.${MediaInfoLib_MINOR_VERSION})

=== debian/changelog ===
libmediainfo (24.12+dfsg-1) unstable; urgency=medium

  * [b9e9edd] New upstream version 24.12+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 17 Dec 2024 17:01:42 +0800

## libmediainfo 25.03+dfsg

=== debian/changelog ===
libmediainfo (25.03+dfsg-1build1) questing; urgency=medium

  * No-change rebuild for libtinyxml2-11.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 03 May 2025 16:23:01 +0000

libmediainfo (25.03+dfsg-1) unstable; urgency=medium

  * [13602fd] New upstream version 25.03+dfsg
  * [70981f1] Ignore typeinfo/vtable/guard variable for std::_detail:: symbols

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 25 Mar 2025 14:26:08 +0800
